2010/08/21

LinuxでVLC 1.1が落ちるのを解決

うちはSlackwareというLinuxを使っていますが
入力変換がSCIMだといちいちなにかGTKプログラムを起動する度に
SCIMのサービスが起動して遅いんですね。

というわけで
uimを使っています。

新しいVLC 1.1.1が動きません。起動するとウィンドウもでないうちにセグメンテーション違反

gdb /usr/bin/vlc
でバックトレースする。
m17nlibで詰まっていて、呼びだし元の階層にuimの一部が入っているようです。
検索したら、やっとでてきたのがuim-m17nlibパッケージを削除するというもので
ソースからコンパイルするとパッケージにわかれません。

  • uimのツールバーの工具をクリック

  • 使用可能にする入力方式の横にある[編集…]をクリック

  • 有効欄にあるm17nと入っている項目を全部 ▶ をおして無効欄に送る

  • 閉じるをおして [ OK ]を押す


これで
VLCが起動しましたよ
スポンサーサイト

コメント

非公開コメント